List Cameras

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

To fetch available cameras under your account, use the following endpoint that uses pagination with 100 records per page. Include the deviceId as a query parameter to fetch the cameras connected to a specific device.

Sample Request

curl --request GET \
     --url https://api-prod-us-west-2.solinkcloud.com/v2/cameras \
     --header 'Authorization: Bearer {ACCESS_TOKEN}' \
     --header 'x-api-key: {API_KEY}'

Sample Response

[
  {
    "id": "4a9b9e20-325b-11ef-bcc7-07ebcea683b3",
    "deviceId": "969da780-3258-11ef-8184-b3b92604ea67",
    "name": "360 Over Food Prep",
    "status": "online",
    "siteId": "174da780-3258-11ef-8184-b3b92604ea69",
    "streams": [
      {
        "id": "e6bfbe9a-0a7e-41f5-ea1b-d5eadc3614e2",
        "name": "HD",
        "retention": 7,
        "dimensions": {
          "width": 2560,
          "height": 2048
        },
        "fps": 7.66,
        "average_bps": 708774,
        "earliestSegmentDate": "1740605210225"
      }
    ],
    "ip": "10.10.0.202",
    "manufacturer": null,
    "model": null,
    "serialNumber": null
  }
]
Query Params
string

Filters cameras to a specific device based on its unique ID.

integer

Indicates the number of records to skip.

string

Filters cameras to a specific site based on its unique ID.

Response

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json